%define prefix	/usr
%define name	wmdl
%define version	1.4.0

Summary: a WindowMaker Appicon based on the game Doom
Name: %{name}
Version: %{version}
Release: 1
Copyright: GPL
Group: X Windows/Window Managers
URL: http://www.linuxbox.com/~bac/
Source: http://www.linuxbox.com/~bac/src/%{name}/%{name}-%{version}.tar.gz
Packager: Ian Macdonald <ianmacd@xs4all.nl>
BuildRoot: /var/tmp/%{name}-root

%description
This Appicon is in tribute the the world's greatest game -- DOOM -- and the 
hundreds of hours it consumed.

%prep
%setup

%build
make

%install
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
install -s -m 755 %{name} $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -s -m 644 $RPM_SOURCE_DIR/%{name}.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/%{name}

%files
%defattr(-,root,root)
%{prefix}/bin/%{name}
%config /etc/X11/wmconfig/%{name}
%doc README

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 24 1999 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>

- upgraded to version 1.3.6

* Wed Feb 10 1998 Ian Macdonald <ianmacd@xs4all.nl>

- first RPM release
